Bug 1074 - Interface members do not display proper accessibility status when properties are explored.
Interface members do not display proper accessibility status when properties ...
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
All All
: P4 (vote)
: TBD
Assigned To: Jesse Glick
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-01-25 19:55 UTC by Jesse Glick
Modified: 2008-12-23 10:44 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 1999-01-25 19:55:36 UTC
Create a new interface, e.g. from the templates pop-up. Add some declaration such as:

int getFoo();

Now compile it, and go into the Explorer; look under the classfile object in the Explorer, find the `getFoo()` entry, and explore its properties. Its accessibility shows up as "package private", altho
ugh being an interface method it is of course public, whether that is marked or not. Changing this setting to e.g. "private" uncomplainingly inserts illegal code into the Editor (if you still have tha
t open). Also, other meaningless modifiers such as "native" are presented as options. A proper editor for interface members should only allow to set the name, arguments, and return type, and any "publ
ic" present in the source should be left alone, and ditto "public static final" for interface constants.

[IAN] Deferred for Gandalf (important)

[jglick] Also, an interface`s ClassChildren from DefaultFactory ought not show a constructors sub-node!


[Petr] see fix >>
Comment 1 Marek Grummich 2000-07-25 09:23:59 UTC
Priority is changed to P4 (normal).
Comment 2 Marian Mirilovic 2002-05-27 16:54:03 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo